
{{ "L2 VNIs" | comment }}

{% set l2 = tenants.l2domain %}
{% for domain in l2 %}
{% if l2[domain].site == devices[inventory_hostname].site or l2[domain].site == "multi" %}
auto vni{{ 100000 + l2[domain].id }}
iface vni{{ 100000 + l2[domain].id }}
    bridge-access {{ l2[domain].id }}
    bridge-arp-nd-suppress on
    bridge-learning off
    mstpctl-bpduguard yes
    mstpctl-portbpdufilter yes
    vxlan-id {{ 100000 + l2[domain].id }}
    vxlan-local-tunnelip {{ devices[inventory_hostname].interfaces.loopback.ipv4|ipaddr('address')}}
    mtu 9050
    vxlan-mcastgrp {{ l2[domain].mcastgrp }}
{% endif %}
{% endfor %}
